Automations

Run automation

Queues a manual automation run. Only automations configured with the Manual / API trigger can be run through this endpoint.

POST /api/public/v1/automations/{automationId}/run

Run automation

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/automations/{AUTOMATIONID}/run' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "automationId": "<string>",
  "status": "<string>",
  "queuedAt": 1
}

Automation run queued

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • automationId string required

    Automation ID.

Response

application/json
  • automationId string

    Automation ID that was queued.

  • status string

    Queued execution status.

  • queuedAt number

    Time the execution was queued in unix milliseconds.